Skip to main content
POST
/
public
/
update-ebook-metadata
Update ebook metadata
curl --request POST \
  --url https://backend.codedamn.com/api/public/update-ebook-metadata \
  --header 'Content-Type: application/json' \
  --header 'FERMION-API-KEY: <api-key>' \
  --data '
{
  "data": [
    {
      "data": {
        "productSlug": "<string>",
        "title": "<string>",
        "shortDescription": "<string>",
        "longDescription": "<string>",
        "activeVersionIndex": 1,
        "isBookDownloadable": true,
        "shouldEnableCenterWatermark": true,
        "shouldEnableHeaderWatermark": true
      }
    }
  ]
}
'
import requests

url = "https://backend.codedamn.com/api/public/update-ebook-metadata"

payload = { "data": [{ "data": {
"productSlug": "<string>",
"title": "<string>",
"shortDescription": "<string>",
"longDescription": "<string>",
"activeVersionIndex": 1,
"isBookDownloadable": True,
"shouldEnableCenterWatermark": True,
"shouldEnableHeaderWatermark": True
} }] }
headers = {
"FERMION-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'FERMION-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
data: {
productSlug: '<string>',
title: '<string>',
shortDescription: '<string>',
longDescription: '<string>',
activeVersionIndex: 1,
isBookDownloadable: true,
shouldEnableCenterWatermark: true,
shouldEnableHeaderWatermark: true
}
}
]
})
};

fetch('https://backend.codedamn.com/api/public/update-ebook-metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "output": {
      "status": "ok",
      "data": {}
    }
  }
]

Authorizations

FERMION-API-KEY
string
header
required

Body

application/json

API Request Body

data
object[]
required

Response

200 - application/json

API Response Body

output
object
required